apiVersion: kubevirt.io/v1
kind: VirtualMachineInstanceReplicaSet
metadata:
  name: vsr-replicaset
spec:
  replicas: 2
  selector:
    matchLabels:
      myvmi: myvmi
  template:
        metadata:
          name: vsr
          labels:
            myvmi: myvmi
        spec:
          domain:
            devices:
              disks:
                - name: mydisk
                  disk: {}
                - name: cloudinitdisk
                  disk: {}
              interfaces:
                - name: default
                  bridge: {}
                - name: sriov
                  sriov: {}
            resources:
              requests:
                memory: "8Gi"
                cpu: "4"
              limits:
                memory: "8Gi"
                cpu: "4"
          networks:
            - name: default
              pod: {}
            - name: sriov
              multus:
                networkName: multus-intel-sriov-nic-vsr
          accessCredentials:
          - sshPublicKey:
              source:
                secret:
                  secretName: my-pub-key
              propagationMethod:
                noCloud: {}
          volumes:
          - name: mydisk
            containerDisk:
              image: 195.154.27.62:5000/vsr:3.9.6.1
          - name: cloudinitdisk
            cloudInitNoCloud:
              userData: |-
                #cloud-config